using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using IRTrans.NET;

namespace IRTrans.Net_Demo
{
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Label label1;
        IRTransServer[] irt = new IRTransServer[4];
	//	private IRTransServer irt;
		private System.Windows.Forms.Button button2;

		
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Fgen Sie den Konstruktorcode nach dem Aufruf von InitializeComponent hinzu
			//
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
			irt[0].Dispose ();
            irt[1].Dispose();
            irt[2].Dispose();

		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.button1 = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.button2 = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(72, 32);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(152, 40);
			this.button1.TabIndex = 0;
			this.button1.Text = "Send sony play";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(32, 88);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(248, 24);
			this.label1.TabIndex = 2;
			this.label1.Text = "Messages ...";
			// 
			// button2
			// 
			this.button2.Location = new System.Drawing.Point(72, 192);
			this.button2.Name = "button2";
			this.button2.Size = new System.Drawing.Size(152, 32);
			this.button2.TabIndex = 3;
			this.button2.Text = "Exit";
			this.button2.Click += new System.EventHandler(this.button2_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.Controls.Add(this.button2);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.button1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void button1_Click(object sender, System.EventArgs e)
		{

			NETWORKSTATUS stat = irt[0].IRSend ("sony","play");
		
			if (stat != null) 
			{
				label1.Text = stat.message;
			}
			else label1.Text = "";


		}

		private void IRReceived (object sender, EventArgs e,NETWORKRECV recv)
		{
			label1.Text = recv.data;
		}
       
		private void Form1_Load(object sender, System.EventArgs e)
		{
            irt[0] = new IRTransServer("192.168.0.151");
            irt[1] = new IRTransServer("192.168.0.150");
            irt[2] = new IRTransServer("192.168.0.153");
   
            irt[0].StartAsnycReceiver();
            irt[1].StartAsnycReceiver();
            irt[2].StartAsnycReceiver();

            irt[0].IRReceive += new IRTrans.NET.IRTransServer.IRReceiveEventHandler(IRReceived);
            irt[1].IRReceive += new IRTrans.NET.IRTransServer.IRReceiveEventHandler(IRReceived);
            irt[2].IRReceive += new IRTrans.NET.IRTransServer.IRReceiveEventHandler(IRReceived);

		}

		private void button2_Click(object sender, System.EventArgs e)
		{
			this.Close ();
		}

	}

}
